flutter_clean_calendar 1.0.2+1
flutter_clean_calendar: ^1.0.2+1

Flutter Android iOS web

Simple and clean flutter calendar with ability to slide up/down to show weekly/monthly calendar.

51
likes
90 / 110
pub points
90 %
popularity

We analyzed this package on Dec 1, 2020, and awarded it 90 pub points (of a possible 110):

Follow Dart file conventions
20 / 20

10/10 points: Provide a valid pubspec.yaml

5/5 points: Provide a valid README.md

5/5 points: Provide a valid CHANGELOG.md

Provide documentation
10 / 20

10/10 points: Package has an example

  • Found example at: example/lib/main.dart

0/10 points: 20% or more of the public API has dartdoc comments

  • 5 out of 76 API elements (6.6 %) have documentation comments.

Providing good documentation for libraries, classes, functions, and other API elements improves code readability and helps developers find and use your API. Document at least 20% of the public API elements.

Support multiple platforms
20 / 20

20/20 points: Supports 3 of 3 possible platforms (iOS, Android, Web)

Pass static analysis
20 / 30

20/30 points: code has no errors, warnings, lints, or formatting issues

INFO: 'body1' is deprecated and shouldn't be used. This is the term used in the 2014 version of material design. The modern term is bodyText2. This feature was deprecated after v1.13.8..

lib/flutter_clean_calendar.dart:250:62

    ╷
250 │     final TextStyle body1Style = Theme.of(context).textTheme.body1;
    │                                                              ^^^^^
    ╵

To reproduce make sure you are using pedantic and run flutter analyze lib/flutter_clean_calendar.dart

lib/calendar_tile.dart is not formatted according to dartfmt

To format your files run: dartfmt -w .

Support up-to-date dependencies
20 / 20

10/10 points: All of the package dependencies are supported in the latest version

PackageConstraintCompatibleLatest
date_utils^0.1.0+30.1.0+30.1.0+3
intl^0.16.10.16.10.16.1
Transitive dependencies
PackageConstraintCompatibleLatest
characters-1.1.0-nullsafety.51.1.0-nullsafety.5
collection-1.15.0-nullsafety.51.15.0-nullsafety.5
meta-1.3.0-nullsafety.61.3.0-nullsafety.6
path-1.7.01.8.0-nullsafety.3
typed_data-1.3.0-nullsafety.51.3.0-nullsafety.5
vector_math-2.1.0-nullsafety.52.1.0-nullsafety.5

To reproduce run pub outdated --no-dev-dependencies --up-to-date --no-dependency-overrides.

10/10 points: Package supports latest stable Dart and Flutter SDKs

51
likes
90
pub points
90%
popularity

Simple and clean flutter calendar with ability to slide up/down to show weekly/monthly calendar.

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

pmcarlosdev@gmail.com

License

unknown (LICENSE)

Dependencies

date_utils, flutter, intl

More

Packages that depend on flutter_clean_calendar